<template>
  <WordCard v-for="(card, cdx) in cards" :card="card" :key="'card-' + cdx" />
</template>

<script setup lang="ts">
import WordCard from "./WordCard.vue";
const cards: StormCard[] = [
  {
    word: "aaa",
    ori: "bbb",
    src: "ja",
    tgt: "zh",
    author: "me",
    randamize: 1,
  },
  {
    word: "aaa",
    ori: "bbb",
    src: "ja",
    tgt: "zh",
    author: "me",
    randamize: 1,
  },
  {
    word: "aaa",
    ori: "bbb",
    src: "ja",
    tgt: "zh",
    author: "me",
    randamize: 1,
  },
  {
    word: "aaa",
    ori: "bbb",
    src: "ja",
    tgt: "zh",
    author: "me",
    randamize: 1,
  },
  {
    word: "aaa",
    ori: "bbb",
    src: "ja",
    tgt: "zh",
    author: "me",
    randamize: 1,
  },
  {
    word: "aaa",
    ori: "bbb",
    src: "ja",
    tgt: "zh",
    author: "me",
    randamize: 1,
  },
  {
    word: "aaa",
    ori: "bbb",
    src: "ja",
    tgt: "zh",
    author: "me",
    randamize: 1,
  },
  {
    word: "aaa",
    ori: "bbb",
    src: "ja",
    tgt: "zh",
    author: "me",
    randamize: 1,
  },
];
</script>